﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.19.0/gitea-1.19.0-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.19.0/gitea-1.19.0-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = '973bedc0cd8e01317f8623c17af603bf71e5b50437ac8d46fe9b360398eecebb'
  checksumType  = 'sha256'
  checksum64    = 'b52569e42b91295aadbafb3aca3b3c399e33047d4848337ba14ec8bf90178cce'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
